Loading...
Searching...
No Matches
Ogre::GLSLangProgramFactory Class Reference
Plugins » GLSLangProgramManager

Factory class for GLSLang programs. More...

`#include <OgreGLSLangProgramManager.h>`

Inheritance diagram for Ogre::GLSLangProgramFactory:
[legend]

## Public Member Functions

| GLSLangProgramFactory ()
| ~GLSLangProgramFactory ()
GpuProgram * | create (ResourceManager *creator, const String &name, ResourceHandle handle, const String &group, bool isManual, ManualResourceLoader *loader) override
const String & | getLanguage (void) const override
| Get the name of the language this factory creates programs for.
Public Member Functions inherited from Ogre::GpuProgramFactory
virtual | ~GpuProgramFactory ()
virtual void | destroy (GpuProgram *prog)

## Detailed Description

Factory class for GLSLang programs.

## Constructor & Destructor Documentation

## GLSLangProgramFactory()

Ogre::GLSLangProgramFactory::GLSLangProgramFactory | ( |  | ) |

## ~GLSLangProgramFactory()

Ogre::GLSLangProgramFactory::~GLSLangProgramFactory | ( |  | ) |

## Member Function Documentation

## getLanguage()

const String & Ogre::GLSLangProgramFactory::getLanguage | ( | void |  | ) | const

override virtual

Get the name of the language this factory creates programs for.

Implements Ogre::GpuProgramFactory.

## create()

GpuProgram * Ogre::GLSLangProgramFactory::create | ( | ResourceManager * | creator,
|  | const String & | name,
|  | ResourceHandle | handle,
|  | const String & | group,
|  | bool | isManual,
|  | ManualResourceLoader * | loader )

override virtual

Implements Ogre::GpuProgramFactory.

The documentation for this class was generated from the following file:

- OgreGLSLangProgramManager.h